local States = {}
States.one = 
	{
		update = function (self, dt)
			particle.x = particle.x + particle.speed.x
			particle.speed.y = particle.speed.y + 10*dt
			particle.y = particle.y + particle.speed.y
			if particle.y > love.graphics.getHeight() then
				particle.y = love.graphics.getHeight()
				particle.speed.y = - particle.speed.y
				State = States.two -------------------------------
			elseif particle.y < 0 then
				particle.y = 0
				particle.speed.y = - particle.speed.y
			end
			if particle.x > love.graphics.getWidth() then
				particle.x = love.graphics.getWidth()
				particle.speed.x = -particle.speed.x
			elseif particle.x < 0 then
				particle.x =0
				particle.speed.x = -particle.speed.x
			end
		end,
		
		draw = function (self)
			love.graphics.setColor(1,1,1)
			love.graphics.points(particle.x, particle.y)
			love.graphics.circle('line', particle.x, particle.y, 7)
		end
	}
States.two = 
	{
		update = function (self, dt)
			particle.speed.x = particle.speed.x + dt*math.random (-100, 100)
			particle.x = particle.x + particle.speed.x
			particle.speed.y = particle.speed.y + dt*math.random (-40, 50)
			particle.y = particle.y + particle.speed.y
			if particle.y > love.graphics.getHeight() then
				particle.y = love.graphics.getHeight()
				particle.speed.y = - particle.speed.y
				State = States.one -------------------------------
			elseif particle.y < 0 then
				particle.y = 0
				particle.speed.y = 0
				State = States.one -------------------------------
			end
			if particle.x > love.graphics.getWidth() then
				particle.x = love.graphics.getWidth()
				particle.speed.x = -particle.speed.x*0.5
				State = States.one -------------------------------
			elseif particle.x < 0 then
				particle.x =0
				particle.speed.x = -particle.speed.x*0.5
				State = States.one -------------------------------
			end
		end,
		
		draw = function (self)
			love.graphics.setColor(0,1,0)
--			love.graphics.points(particle.x, particle.y)
			love.graphics.circle('fill', particle.x, particle.y, 5)
			love.graphics.line(particle.x, particle.y, particle.x-2*particle.speed.x, particle.y-2*particle.speed.y)
		end
	}


function love.load()
	particle = {x=300, y=300, speed={x=0,y=0}}
	State = States.one
end

 
function love.update(dt)
	State:update(dt)
end


function love.draw()
	State:draw()
end